import { pgEnum } from "drizzle-orm/pg-core"
import { z } from "zod"

const stateEnum = pgEnum('state', ['active', 'inactive', 'under_review'])
const stateEnumSchema = z.enum(stateEnum.enumValues)

export default stateEnum;
export type StateEnum = z.infer<typeof stateEnumSchema>