import type db from "@/db";
import actionTable, { type ActionInput } from "../schema/action.schema";

export default async function seed(db: db) {
  await db.insert(actionTable).values(actionsData)
}

const actionsData: ActionInput[] = [
  {
  name: "Publicar"
  },
  {
  name: "Favoritar"
  },
  {
  name: "Avaliar "
  },
  {
  name: "Comentar"
  },
  {
  name: "Seguir Usuário"
  },
  {
  name: "Ser Seguido"
  },
  {
  name: "Fazer Download de um Recurso"
  },
  {
  name: "Fazer Login"
  },
  {
  name: "Meses de Conta"
  },
  {
  name: "Visualizar um Recurso"
  },
  {
  name: "Visualizar uma Coleção"
  },
  {
  name: "Criar Coleção"
  },
  {
  name: "Adicionar Recurso a Coleção"
  },
  {
  name: "Adicionar Foto de Perfil"
  },
  {
  name: "Adicionar Capa de Perfil"
  },
  {
  name: "Adicionar Descrição do Usuário"
  },
  {
  name: "Autenticação de Professor"
  },
  {
  name: "Assistir Apresentação"
  },
  {
  name: "Visualizar um Material"
  },
  {
  name: "Compartilhar"
  },
  {
  name: "Visualizar um Recurso de Língua Espanhola"
  },
  {
  name: "Visualizar um Recurso de Língua Inglesa"
  },
  {
  name: "Visualizar um Recurso de Arte"
  },
  {
  name: "Visualizar um Recurso de Língua Portuguesa"
  },
  {
  name: "Visualizar um Recurso de Biologia"
  },
  {
  name: "Visualizar um Recurso de Ciências da Natureza"
  },
  {
  name: "Visualizar um Recurso de Educação Física"
  },
  {
  name: "Visualizar um Recurso de Filosofia"
  },
  {
  name: "Visualizar um Recurso de Física"
  },
  {
  name: "Visualizar um Recurso de Geografia"
  },
  {
  name: "Visualizar um Recurso de História"
  },
  {
  name: "Visualizar um Recurso de Matemática"
  },
  {
  name: "Visualizar um Recurso de Química"
  },
  {
  name: "Visualizar um Recurso de Sociologia"
  },
  {
  name: "Visualizar um Recurso de Outras Línguas"
  },
  {
  name: "Visualizar um Recurso de Ensino Religioso"
  },
  {
  name: "Visualizar um Recurso de Outros"
  },
  {
  name: "Visualizar um Recurso de Informática"
  },
  {
  name: "Visualizar um Recurso de Direitos Humanos"
  },
  {
  name: "Visualizar um Recurso de Educação Ambiental"
  },
  {
  name: "Visualizar um Recurso de Educação do Campo"
  },
  {
  name: "Visualizar um Recurso de Educação Especial"
  },
  {
  name: "Visualizar um Recurso de Educação Indígena"
  },
  {
  name: "Visualizar um Recurso de Educação Quilombola"
  },
  {
  name: "Visualizar um Recurso de Educação Sexual"
  },

]