import type db from "..";
import type { CollectionResourcesInput } from "../relations/collection-resource.relation";
import { collectionResourcesTable } from "../schema";


export default async function seed(db: db) {
    await db.insert(collectionResourcesTable).values(collectionResourcesData)
}

const collectionResourcesData: CollectionResourcesInput[] = [
    {
        collection_id: 1,
        resource_id: 1
    },
    {
        collection_id: 1,
        resource_id: 2
    },
    {
        collection_id: 2,
        resource_id: 1
    },
    {
        collection_id: 3,
        resource_id: 2
    }
]
