import type db from "..";
import { achievementTable } from "../schema";
import type { AchievementInput } from "../schema/achievement.schema";

export default async function seed(db: db) {
    await db.insert(achievementTable).values(achievementData)
}

const achievementData: AchievementInput[] = [
    {
        name: 'Achievement 1',
        description: 'Achievement 1 description',
        reward_experience: '100',
        reward_points: '10',
        state: 'active',
        repeatable: 5,
        is_resettable: true,
    },
    {
        name: 'Achievement 2',
        description: 'Achievement 2 description',
        reward_experience: '200',
        reward_points: '20',
        state: 'active',
        repeatable: 5,
        is_resettable: true,
    },
    {
        name: 'Achievement 3',
        description: 'Achievement 3 description',
        reward_experience: '300',
        reward_points: '30',
        state: 'active',
        repeatable: 5,
        is_resettable: true,
    }

]