import type db from "..";
import type { CollectionLikesInput } from "../relations/collection-like.relation";
import { collectionLikesTable } from "../schema";

export default async function seed(db: db) {
    await db.insert(collectionLikesTable).values(collectionLikesData)
}

const collectionLikesData: CollectionLikesInput[] = [
    {
        collection_id: 1,
        user_id: 1
    },
    {
        collection_id: 1,
        user_id: 2
    },
    {
        collection_id: 2,
        user_id: 1
    },
    {
        collection_id: 3,
        user_id: 2
    }
]