import type db from '..'
import type { CollectionInput } from '../schema/collection.schema'
import collectionTable from '../schema/collection.schema'

export default async function seed(db:db) {
    await db.insert(collectionTable).values(collectionData)
}

const collectionData: CollectionInput[] = [
    {
        name: 'Collection 1',
        description: 'Collection 1 description',
        is_private: false,
        thumbnail: 'https://www.google.com',
        collection_stats_id: 1,
        user_id: 1,
    },
    {
        name: 'Collection 2',
        description: 'Collection 2 description',
        is_private: true,
        thumbnail: 'https://www.google.com',
        collection_stats_id: 2,
        user_id: 1,
    },
    {
        name: 'Collection 3',
        description: 'Collection 3 description',
        is_private: false,
        thumbnail: 'https://www.google.com',
        collection_stats_id: 3,
        user_id: 1,
    }
]
