import type db from "..";
import { objectTypeTable } from "../schema";
import type { ObjectTypeInput } from "../schema/object-type.schema";

export default async function seed(db: db) {
    await db.insert(objectTypeTable).values(objectTypeData)
}


const objectTypeData: ObjectTypeInput[] = [
    {
        name: 'Book',
    },
    {
        name: 'Article',
    },
    {
        name: 'Video',
    },
    {
        name: 'Audio',
    },
    {
        name: 'Image',
    },
    {
        name: 'Software',
    },
    {
        name: 'Dataset',
    },
    {
        name: 'Presentation',
    },
    {
        name: 'Document',
    },
    {
        name: 'Other',
    }
]