import type db from "..";
import { resourceEducationalStagesTable } from "../schema";
import type { ResourceEducationalStagesInput } from "../relations/resource-educational-stage.relation";

export default async function seed(db: db) {
    await db.insert(resourceEducationalStagesTable).values(resourceEducationalStagesData);
}

const resourceEducationalStagesData: ResourceEducationalStagesInput[] = [
    {
        resource_id: 1,
        educational_stage_id: 1
    },
    {
        resource_id: 1,
        educational_stage_id: 2
    },
    {
        resource_id: 2,
        educational_stage_id: 1
    },
    {
        resource_id: 2,
        educational_stage_id: 3
    }
];