import type db from "..";
import type { ResourceLikesInput } from "../relations/resource-like.relation";
import { resourceLikesTable } from "../schema";

export default async function seed(db: db) {
  await db.insert(resourceLikesTable).values(resourceLikesData);
}

const resourceLikesData: ResourceLikesInput[] = [
  {
    resource_id: 1,
    user_id: 1,
  },
  {
    resource_id: 1,
    user_id: 2,
  },
  {
    resource_id: 2,
    user_id: 1,
  },
  {
    resource_id: 2,
    user_id: 3,
  },
]