import type db from '@/db'
import { resourceTable } from '../schema'
import type { ResourceInput } from '../schema/resource.schema'

export default async function seed(db: db) {
    await db.insert(resourceTable).values(resourceData)
}

const resourceData: ResourceInput[] = [
    {
        name: 'recurso 1',
        description: 'recurso 1 description',
        author: 'author 1',
        bucket_key: 'bucket_key 1',
        link: 'link 1',
        thumbnail: 'thumbnail 1',
        user_id: 1,
        resource_stats_id: 1,
        object_type_id: 1,
        license_id: 1
    },
    {
        name: 'recurso 2',
        description: 'recurso 2 description',
        author: 'author 2',
        bucket_key: 'bucket_key 2',
        link: 'link 2',
        thumbnail: 'thumbnail 2',
        user_id: 1,
        resource_stats_id: 2,
        object_type_id: 1,
        license_id: 1
    }
]
