import type db from "..";
import type { UserAchievementsInput } from "../relations/user-achievement.relation";
import { userAchievementsTable } from "../schema";

export default async function seed(db: db) {
    await db.insert(userAchievementsTable).values(userAchievementsData)
}

const userAchievementsData: UserAchievementsInput[] = [
    {
        user_id: 1,
        achievement_id: 1
    },
    {
        user_id: 1,
        achievement_id: 2
    },
    {
        user_id: 2,
        achievement_id: 1
    },
    {
        user_id: 3,
        achievement_id: 2
    }
]