import type db from '@/db'
import { userInstitutionRelationTable } from '../schema'
import type { UserInstitutionRelationInput } from '../relations/user-institution.relation'

export default async function seed(db: db){
  await db.insert(userInstitutionRelationTable).values(userInstitutionsData)
}

const userInstitutionsData: UserInstitutionRelationInput[] = [
  {
    user_id: 1,
    institution_id: 1
  }
]