import type db from '@/db'
import userTable, { type UserInput } from '../schema/user.schema'
import { hashPassword } from '../repo/auth.repo'

export default async function seed(db: db) {
  await db.insert(userTable).values(usersData)
}

const usersData: UserInput[] = [
  {
    name: 'Admin name',
    username: 'admin',
    password: hashPassword('1234mudar'),
    email: 'admin@admin.com',
    birthday: '2000-06-06',
    cpf: '12346579800',
    user_stats_id: 1
  },
  {
    name: 'Client name',
    username: 'client user',
    password: hashPassword('1234mudar'),
    email: 'client@client.com',
    birthday: '2000-06-06',
    cpf: '12346579801',
    user_stats_id: 2
  },
  {
    name: 'Client 2 name',
    username: 'client2 user',
    password: hashPassword('1234mudar'),
    email:  'client3@client.com',
    birthday: '2000-06-06',
    cpf: '12346579802',
    user_stats_id: 3
  },
  {
    name: 'Client 3 name',
    username: 'client3 user',
    password: hashPassword('1234mudar'),
    email: 'cliente@client.com',
    birthday: '2000-06-06',
    cpf: '12346579803',
    user_stats_id: 4
  },
]
